Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(4)

Unified Diff: third_party/sqlite/google_update_sqlite.sh

Issue 15067: Upgrade our sqlite to 3.6.1, with the local changes made by Gears. I'm... (Closed) Base URL: svn://chrome-svn/chrome/trunk/src/
Patch Set: '' Created 12 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/sqlite/VERSION_DATE ('k') | third_party/sqlite/sqlite.vcproj » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/sqlite/google_update_sqlite.sh
===================================================================
--- third_party/sqlite/google_update_sqlite.sh (revision 0)
+++ third_party/sqlite/google_update_sqlite.sh (revision 0)
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# A simple script to make it easier to merge in newer versions of sqlite.
+# It may not work perfectly, in which case, it at least serves as an outline
+# of the procedure to follow.
+
+if [ "$1" = "" ]; then
+ echo "Usage: $0 <Date to pull from CVS> [<merge tool>]"
+ echo "Example: $0 '2007/01/24 09:54:56'"
+ exit 1
+fi
+
+if [ "$2" = "" ]; then
+ MERGE="kdiff3 -m"
+fi
+
+BASE_DATE=`cat VERSION_DATE`
+NEW_DATE="$1"
+
+cd ..
+echo "_____ Logging in to sqlite.org cvs (log in as anonymous)..."
+cvs -d :pserver:anonymous@www.sqlite.org:/sqlite login
+cvs -d :pserver:anonymous@www.sqlite.org:/sqlite checkout -P -D "$BASE_DATE" -d sqlite-base sqlite
+cvs -d :pserver:anonymous@www.sqlite.org:/sqlite checkout -P -D "$NEW_DATE" -d sqlite-latest sqlite
+
+echo "_____ Running merge tool..."
+$MERGE sqlite-base sqlite-latest sqlite
+
+cd sqlite
+
+echo "_____ Updating VERSION_DATE to be $NEW_DATE ..."
+echo $NEW_DATE > VERSION_DATE
+
+echo "_____ Processing generated files..."
+./google_generate_preprocessed.sh
Property changes on: third_party\sqlite\google_update_sqlite.sh
___________________________________________________________________
Added: svn:executable
+ *
« no previous file with comments | « third_party/sqlite/VERSION_DATE ('k') | third_party/sqlite/sqlite.vcproj » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698